﻿<%@ page language="C#" autoeventwireup="true" inherits="Rotte_start, App_Web_pl1uuvzm" enableeventvalidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link rel="SHORTCUT ICON" href="Images/GEIcon.ico" />
    <title>GeoEnviron WEB - Rottebekæmpelse</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script type="text/javascript" language="javascript" src="JScript/JScriptMain_v251.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptWindowMove_v243.js"></script>
  
    <script type="text/javascript">

    var printWin;

    function OnLoad()
    {
        SetPanelHeadRight_AnmeldelseWidth();
        
        if(document.getElementById('HiddenField_ShowPlannedVisitsSplashEnabled').value == 'true')
        {
            DisableDivElements(document.getElementById('div_main'), true);
            document.getElementById('div_plannedVisits').style.display = 'block';
        }
        else
        {
            document.getElementById('TextBox_Address').focus();        
        }
    }

    function PrintSelected(printOption)
    {
        if((printWin != null) && (!printWin.closed))
        {
            if(!confirm('Udskrivningsvinduet er allerede åbent!\nLuk vinduet og fortsæt?'))
            {
                return;
            }

            printWin.close();        
        }
        
        var message = 'Ingen anmeldelser markeret!\nMarkér de anmeldelser du vil udskrive og klik igen.';
        var arguments = printOption;
        var parent;
        
        try
        {
            parent = document.getElementById('div_anmeldelser').childNodes[1].childNodes[0];
        }
        catch(err)
        {
            alert(message);
            return;
        }

        for(var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];
            
            if(checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
            }
        }
        
        if(arguments == printOption)
        {
            alert(message);
            return;
        }
        
        GetPrint(arguments);
    }

    function AssignToMe()
    {
        var message = 'Ingen anmeldelser markeret!\nMarkér de anmeldelser du vil tildele til dig selv og klik igen.';
        var option = 'AssignToMe';
        var arguments = option;
        var parent;
        
        try
        {
            parent = document.getElementById('div_anmeldelser').childNodes[1].childNodes[0];
        }
        catch(err)
        {
            alert(message);
            return;
        }

        for(var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];
            
            if(checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
            }
        }
        
        if(arguments == option)
        {
            alert(message);
            return;
        }
        
        GetAssignToMe(arguments);
    }

    function AssignTo()
    {
        if(windowopen())
        {
            return;
        }
    
        var message = 'Ingen anmeldelser markeret!\nMarkér de anmeldelser du vil tildele og klik igen.';
        var option = 'AssignTo';
        var arguments = option;
        var parent;
        
        try
        {
            parent = document.getElementById('div_anmeldelser').childNodes[1].childNodes[0];
        }
        catch(err)
        {
            alert(message);
            return;
        }

        for(var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];
            
            if(checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
            }
        }
        
        if(arguments == option)
        {
            alert(message);
            return;
        }
        
        DisableDivElements(document.getElementById('div_main'), true);
        document.getElementById('div_assignTo').style.display = 'block';
    }
    
    function SaveAssignTo()
    {
        var userId = document.getElementById('DropDownList_AssignTo').value;
        var arguments = userId;

        var parent = document.getElementById('div_anmeldelser').childNodes[1].childNodes[0];

        for(var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];
            
            if(checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
            }
        }
        
        GetAssignTo(arguments);
    }
    
    var mapWin;
    
    function DisplaySelectedOnMap(mapOption)
    {
        if ((mapWin != null) && (!mapWin.closed))
        {
            if (!confirm('Kortvinduet er allerede åbent!\nLuk vinduet og fortsæt?'))
            {
                return;
            }

            mapWin.close();        
        }

        var message = 'Ingen anmeldelser markeret!\nMarkér de anmeldelser du vil have vist på kort og klik igen.';    
        var arguments = mapOption;
        var parent;
        
        try
        {
            parent = document.getElementById('div_anmeldelser').childNodes[1].childNodes[0];
        }
        catch (err)
        {
            alert(message);
            return;
        }

        for (var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];
            
            if (checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
            }
        }
        
        if (arguments == mapOption)
        {
            alert(message);
            return;
        }
        
        GetMap(arguments);
    }

    var callbackSend = 0;
    
    function GetList(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetList:" + value;
            var context = new Object();
            context.CommandName = "GetList";
            <%=_callbackstr %>
        }    
    }

    function GetPrint(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetPrint:" + value;
            var context = new Object();
            context.CommandName = "GetPrint";
            <%=_callbackstr %>
        }    
    }

    function GetAssignToMe(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetAssignToMe:" + value;
            var context = new Object();
            context.CommandName = "GetAssignToMe";
            <%=_callbackstr %>
        }    
    }

    function GetAssignTo(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetAssignTo:" + value;
            var context = new Object();
            context.CommandName = "GetAssignTo";
            <%=_callbackstr %>
        }    
    }
    
    function GetMap(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetMap:" + value;
            var context = new Object();
            context.CommandName = "GetMap";
            <%=_callbackstr %>
        }    
    }
    
    function SetList(result)
    {
        var argument = result.split('\t');

        document.getElementById('panelHeadText_Anmeldelse').innerHTML = argument[0];
        SetPanelHeadRight_AnmeldelseWidth();
    
        document.getElementById('div_anmeldelser').innerHTML = argument[1];
    }
    
    function SetPrint(result)
    {
        printWin = window.open('Print.aspx');
    }

    function SetAssignToMe(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        var split = result.split('\t');
        SetList(split[1] + '\t' + split[2]);
            
        alert(split[0]);
    }

    function SetAssignTo(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('div_assignTo');
        SetList(result);
    }

    function SetMap(result)
    {
        var procent = result.split('\t')[1];
        var x = parseInt((procent * screen.width) / 100);
        var y = parseInt((procent * screen.height) / 100);

        //map_canvas: width:600px height:500px
        //mapWin = window.open('Map.aspx', 'Map', 'width=600, height=500, resizable=0, menubar=0, status=0, scrollbars=0');
        mapWin = window.open('Map.aspx', 'Map', 'width=' + x + ', height=' + y + ', resizable=0, menubar=0, status=0, scrollbars=0');
        mapWin.focus();
    }

    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetList": SetList(result); break;
            case "GetPrint": SetPrint(result); break;
            case "GetAssignToMe": SetAssignToMe(result); break;
            case "GetAssignTo": SetAssignTo(result); break;
            case "GetMap": SetMap(result); break;
            case "GetInitializeQuickInspection": SetInitializeQuickInspection(result); break;
            case "GetSaveQuickInspection": SetSaveQuickInspection(result); break;
        }
    }

    function OnError(message, context)
    {
        callbackSend = 0;
        DisplayWait(0);
        alert(message);
    }
    
    function ReplaceDivTag(html, divTagId, replaceString)
    {
        var indexDivTagId = html.indexOf(divTagId);
        var indexBegin = html.lastIndexOf('<', indexDivTagId);
        var indexEnd = html.indexOf('>', indexDivTagId) + 1;
        var divTagToRemove = html.substring(indexBegin, indexEnd);

        return html.replace(divTagToRemove, replaceString);
    }

    function PrintList(html)
    {
        html = html.replace(/<A/g, '<A style="text-decoration:none;color: black;"');
    
        html = ReplaceDivTag(html, 'div_maxHeightBorder', '<div>');
        
        var htmlBegin = '<html><head><link rel="stylesheet" type="text/css" href="StyleSheet.css" /></head><body>';
        var htmlEnd = '</body></html>';
        
        var header_text = document.getElementById('panelHeadText_Anmeldelse').innerHTML
        var header = '<div style="font-family:verdana; font-size:10pt; text-decoration:none; color:black">' + header_text + '<\/div>';
        var begin = '<div style="font-family:verdana; font-size:7pt; text-decoration:none; color:black" >';
        var end = '<\/div>';
        var WinPrint = window.open('','','left=0,top=0,width=800,height=300,toolbar=0,scrollbars=yes,status=0');

        if((navigator.userAgent.indexOf('MSIE') > -1) || (navigator.userAgent.indexOf('Firefox') > -1))
        {
            WinPrint.document.write(htmlBegin + header + begin + html + end + htmlEnd);
            WinPrint.document.close();
            WinPrint.focus();
            WinPrint.print();
            WinPrint.close();
        }
        else
        {
            //Simple print if browser not IE or FF. 
            var button = '<input type="button" value="Udskriv liste" onclick="javascript:window.print(); window.close();" />';
            WinPrint.document.write(htmlBegin + button + header + begin + html + end + htmlEnd);
        }
    }
    
    function HentOversigtsLister(overskrift, orderBy)
    {
        if(windowopen())
        {
            return;
        }
    
        document.getElementById('TextBox_Address').focus();
        document.getElementById('div_Button_PrintSelected').style.display = 'block';
        
        var arguments = '';

        var rat_district    = document.getElementById('DropDownList_District').value;
        var ver_firm        = document.getElementById('DropDownList_Firm').value;
        var postal_codes_id = document.getElementById('TextBox_PostalCode').value;
        var site_address    = document.getElementById('TextBox_Address').value;
        
        var dateFrom        = document.getElementById('TextBox_DateFrom').value;
        var dateTo          = document.getElementById('TextBox_DateTo').value;
        
        var rat_district_list   = document.getElementById('DropDownList_District_List').value;
        var ver_firm_list       = document.getElementById('DropDownList_Firm_List').value;
        var zone                = document.getElementById('DropDownList_Zone_List').value;
        
        var showAll = '0';
        if(document.getElementById('CheckBox_ShowAll').checked == true) { showAll = '1'; }

        if(overskrift == 'Adresse')
        {
            if ((rat_district == 'Alle') && (ver_firm == 'Alle') && (site_address.length < 1))
            {
                alert("Der skal vælges en værdi i enten 'Distrikt' eller 'Firma' - eller der skal indtastes en delvis adresse i Adresse");
                return;
            }

            if ((site_address.length > 0) && (site_address.length < 4))
            {
                alert("Hvis der søges på Adresse skal der indtastes 4 tegn eller flere!");
                return;
            }
            
            document.getElementById('div_Button_PrintSelected').style.display = 'none';
        }
        else
        {
            if((!DateOK(dateFrom)) || (!DateOK(dateTo)))
            {
                return;
            }
        }

        arguments = overskrift + '\t' + orderBy + '\t' + rat_district + '\t' + ver_firm + '\t' + postal_codes_id + '\t' + site_address + '\t' + dateFrom + '\t' + dateTo + '\t' + rat_district_list + '\t' + ver_firm_list + '\t' + zone + '\t' + showAll;
        
        document.getElementById('div_liste_box').style.display = 'block';
        
        //document.getElementById('panelHeadText_Anmeldelse').innerHTML = overskrift;
        //SetPanelHeadRight_AnmeldelseWidth();
        
        GetList(arguments);
    }

    function NulstilOversigt()
    {
        document.getElementById('div_liste_box').style.display = 'none';
        document.getElementById('div_anmeldelser').innerHTML = '';

        document.getElementById('DropDownList_District').selectedIndex = 0;
        document.getElementById('DropDownList_Firm').selectedIndex = 0;
        document.getElementById('TextBox_Address').value = '';
        document.getElementById('TextBox_PostalCode').value = '';
        
        document.getElementById('TextBox_Address').focus();
    }
    
    function SetPanelHeadRight_AnmeldelseWidth()
    {
        document.getElementById('panelHeadRight_Anmeldelse').style.width = (parseInt(document.getElementById('panelBody_Anmeldelse').style.width, 10) - parseInt(document.getElementById('panelHeadText_Anmeldelse').offsetWidth, 10) - 3).toString() + 'px'; 
    }
    
    function windowopen()
    {
        var open = false;
    
        if(document.getElementById('div_quickInspection').style.display == 'block')
        {
            open = true;
        }

        if(document.getElementById('div_assignTo').style.display == 'block')
        {
            open = true;
        }

        if(open)
        {
            alert('Et vindue er åbent!\nLuk vinduet og klik igen.');
            return true;
        }
        
        return false;
    }
    
    function CloseAllWindows()
    {
        document.getElementById('div_quickInspection').style.display = 'none';
        document.getElementById('div_assignTo').style.display = 'none';
        document.getElementById('div_plannedVisits').style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
    }
    
    function GetInitializeQuickInspection(site_seq_no, report_seq_no)
    {
        if(windowopen())
        {
            return;
        }
    
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetInitializeQuickInspection:" + site_seq_no + '\t' + report_seq_no;
            var context = new Object();
            context.CommandName = "GetInitializeQuickInspection";
            <%=_callbackstr %>
        }    
    }
    
    function SetInitializeQuickInspection(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        var split = result.split('\t');
        
        document.getElementById('dialog_quickInspection_headline').innerHTML = '&nbsp;Kvik besøg - anmeld.nr. ' + CreateDotRepresentation(split[0]);

        document.getElementById('TextBox_InspecDate').value = split[1];
        document.getElementById('TextBox_InspecInit').value = split[2];
        document.getElementById('HiddenFieldNotExecInspCount').value = split[3];

        //Reset comments
        //document.getElementById('TextBox_InspecComments').value = '';

        document.getElementById('TextBox_CombatAmount').value = '';
        document.getElementById('TextBox_CombatNoTrapsSet').value = '';
        document.getElementById('TextBox_CombatNoOfDepot').value = '';
        document.getElementById('Checkbox_ReportClosed').checked = false;

        DisableDivElements(document.getElementById('div_main'), true);
        
        document.getElementById('div_quickInspection').style.display = 'block';
    }
    
    function GetSaveQuickInspection(parms)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveQuickInspection:" + parms;
            var context = new Object();
            context.CommandName = "GetSaveQuickInspection";
            <%=_callbackstr %>
        }    
    }
    
    function SetSaveQuickInspection(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('div_quickInspection');
        SetList(result);
    }

    function SaveQuickInspection()
    {
        var inspec_date     = document.getElementById('TextBox_InspecDate').value;
        var init            = document.getElementById('TextBox_InspecInit').value;
        var nobody_home     = document.getElementById('DropDownList_InspecNobodyHome').value;
        var site_type_id    = document.getElementById('DropDownList_InspecSiteType').value;
        var infect_type_id  = document.getElementById('DropDownList_InspecInfectType').value;
        var sewer_defect    = document.getElementById('DropDownList_InspecSewerDefect').value;

        var combat_type_id  = document.getElementById('DropDownList_CombatType').value;
        var amount          = document.getElementById('TextBox_CombatAmount').value;
        var type_trap       = document.getElementById('DropDownList_CombatTypeTrap').value;
        var no_traps_set    = document.getElementById('TextBox_CombatNoTrapsSet').value;
        var no_of_depot     = document.getElementById('TextBox_CombatNoOfDepot').value;

        var exam_type_id    = document.getElementById('DropDownList_ExamType').value;
        var ingenRoegproeveAarsag = document.getElementById('DropDownList_IngenRoegproeveAarsag').value;

        var closed = '0';
        if(document.getElementById('Checkbox_ReportClosed').checked) { closed = '1'; }

        var infect_cause_type_id    = document.getElementById('DropDownList_InspecInfectCauseType').value;
        var resident_informed       = document.getElementById('DropDownList_InspecResidentInformed').value;
        var comments                = document.getElementById('TextBox_InspecComments').value;

        if (!DateOK(inspec_date))
        {
            return;
        }
    
        if (!IsDouble(amount))
        {
            alert('Mængde skal være et tal med , (komma) som decimaltegn\nFx. 10,12');
            return;
        }
        
        if ((no_traps_set.length != 0) && (!IsInteger(no_traps_set)))
        {
            alert('Antal fælder skal være et heltal');
            return;
        }

        if ((no_of_depot.length != 0) && (!IsInteger(no_of_depot)))
        {
            alert('Antal depoter skal være et heltal');
            return;
        }

        var notExecInspCount = parseInt(document.getElementById('HiddenFieldNotExecInspCount').value, 10);
        
        if ((notExecInspCount > 0) && (closed == '1'))
        {
            if (!confirm('Du er ved at afslutte en anmeldelse som har ' + notExecInspCount + ' besøg der ikke er udført.\nFortsæt?'))
                return;
        }
        
        var parms = inspec_date + '\t' + init + '\t' + nobody_home + '\t' + site_type_id + '\t' + infect_type_id + '\t' + sewer_defect + '\t' + combat_type_id + '\t' + amount + '\t' + type_trap + '\t' + no_traps_set + '\t' + exam_type_id + '\t' + closed + '\t' + infect_cause_type_id + '\t' + resident_informed + '\t' + comments + '\t' + ingenRoegproeveAarsag + '\t' + no_of_depot;

        GetSaveQuickInspection(parms);
    }
    
    function CloseWindow(winId)
    {
        document.getElementById(winId).style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
    }

    function TransferExisting(site_seq_no, report_seq_no, insp_seq_no)
    {
        document.getElementById('HiddenField_site_seq_no').value = site_seq_no;
        document.getElementById('HiddenField_report_seq_no').value = report_seq_no;
        document.getElementById('HiddenField_insp_seq_no_init').value = insp_seq_no;

        document.getElementById('HiddenField_road_code').value = '';
        document.getElementById('HiddenField_house_no_1').value = '';
        document.getElementById('HiddenField_house_no_2').value = '';
        
        document.getElementById('Button_Select').click();
    }

    function TransferNew(road_code, house_no_1, house_no_2)
    {
        document.getElementById('HiddenField_site_seq_no').value = '';
        document.getElementById('HiddenField_report_seq_no').value = '';
        document.getElementById('HiddenField_insp_seq_no_init').value = '';

        document.getElementById('HiddenField_road_code').value = road_code;
        document.getElementById('HiddenField_house_no_1').value = house_no_1;
        document.getElementById('HiddenField_house_no_2').value = house_no_2;
        
        document.getElementById('Button_Select').click();
    }
    
    function ShowInfo(obj, text)
    {
        var parentLeftTop = findPos(obj);
        var boxLeft = parentLeftTop[0] + parseInt(obj.style.width, 10) + 2;
        var boxTop = parentLeftTop[1] - obj.parentNode.parentNode.parentNode.parentNode.scrollTop - 2;
        
        var box = document.getElementById('div_infoBox');
        box.style.left = boxLeft + 'px';
        box.style.top = boxTop + 'px';
        box.innerHTML = text;
        box.style.display = 'block';
    }
    
    function HideInfo()
    {
        document.getElementById('div_infoBox').style.display = 'none';
    }

    function ChangeCheckBoxStatus(obj)
    {
        var parent = document.getElementById('div_anmeldelser').childNodes[1].childNodes[0];

        for(var i = 0; i < parent.childNodes.length; i++)
        {
            parent.childNodes[i].childNodes[0].childNodes[0].checked = obj.checked;
        }
    }
  
    </script>

</head>
<body onload="OnLoad()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()" onkeydown="OnKeyDown(event)">
    <form id="form1" runat="server"> 
    
    <div id="div_wait" style="display:none; position: absolute; z-index: 1; left:0px; top:0px;"><img src="Images/wait3.gif" alt="" /></div>

    <div id="div_infoBox" class="infoBox" style="display:none; border-right: gray 1px solid; border-top: gray 1px solid; z-index: 1; left: 0px; border-left: gray 1px solid; border-bottom: gray 1px solid; position: absolute; top: 0px; padding-right: 2px; padding-left: 2px; padding-bottom: 2px; padding-top: 2px;">
        Toolbox text
    </div>
    
    <div style="width:902px; height:123px; font-family:Verdana; font-size:8pt; background-image:url(Images/rotte2.jpg);"> <!-- width:652px; -->
        <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 98px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
    </div>
 
    <div id="div_main" class="backgroundColor" style="width:881px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 3px;"> <!-- width:631px; -->
    <!-- main start -->     
      
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
        <div style="float:left; width:51px; padding-left: 2px;">Søgning</div>
        <div style="float:left; width:817px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div> <!-- width:567px; -->
        <br style="clear:both;" />

        <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;"> <!-- width:618px; -->

            <div style="float:left;">

                <div style="float:left;width:51px; padding-top:4px; height:17px">
                    Distrikt:
                </div>
                <div style="float:left; height:20px; width:284px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_District" runat="server" CssClass="dropDownList" style="width:274px"></asp:DropDownList>
                </div>
                <br style="clear:both" />
                 
                <div style="clear:both; float:left;width:51px; padding-top:4px; height:17px">
                    Firma:
                </div>
                <div style="float:left;height:20px; width: 284px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_Firm" runat="server" CssClass="dropDownList" style="width:274px"></asp:DropDownList>
                </div>
                <br style="clear:both" />
             
            </div>
            
            <div style="float:left; padding-left:50px;">
             
                <div style="float:left; width:60px; padding-top:4px; height:17px">
                    Adresse:
                </div>
                <div style="float:left; height:20px; width: 280px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_Address" runat="server" CssClass="textBox" style="width:270px"></asp:TextBox>
                </div>
                <br style="clear:both" />
             
                <div style="float:left; width:60px; padding-top:4px; height:17px">
                    Postnr.:
                </div>
                <div style="float:left; height:20px; width: 230px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_PostalCode" runat="server" CssClass="textBox" style="width:54px" MaxLength="8"></asp:TextBox>
                </div>
                <br style="clear:both" />

            </div>

            <div style="float:right; padding-right:10px;">
             
                <div>
                    <button type="button" class="button" style="width:80px;" onclick="NulstilOversigt()">Nulstil</button>  
                </div>
                <div style="padding-top:1px;">
                    <button name="Hent" type="submit" class="button" style="width:80px;" onclick="HentOversigtsLister('Adresse', 'addr.road_name, addr.house_no_1, addr.house_no_2');return false">Hent</button>
                </div>
                
            </div>
            <br style="clear:both"/>

        </div>
        
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
        <div id="listeoverskrift" style="float:left; width:208px; padding-left: 2px;">Lister (Viser max. 150 anmeldelser)</div>
        <div style="float:left; width:660px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height:6px;"></div> <!-- width:410px; -->
        <br style="clear:both;" />

        <div style="width:858px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-right:10px; padding-bottom: 4px; padding-top: 4px; margin-bottom: 4px; margin-top: 0px;"> <!-- width:608px; -->
        
            <div style="border-bottom: gray 1px solid; padding-bottom:8px; margin-bottom:6px; height:21px;">
            
                <div style="float:left; width:38px; padding-top:3px; padding-left:8px; height:18px;">
                    Dato:
                </div>
                <div style="float:left; width:80px; padding-top:1px; height:20px;">
                    <asp:TextBox ID="TextBox_DateFrom" runat="server" CssClass="textBox" MaxLength="10" Width="70px" onchange="IntelligentDate(this)">99-99-9999</asp:TextBox>
                </div>
                <div style="float:left; width:11px; padding-top:3px; height:18px;">
                    -
                </div>
                <div style="float:left; width:93px; padding-top:1px; height:20px;">
                    <asp:TextBox ID="TextBox_DateTo" runat="server" CssClass="textBox" MaxLength="10" Width="70px" onchange="IntelligentDate(this)">99-99-9999</asp:TextBox>
                </div>
                <div style="float:left; width:51px; padding-top:3px; height:18px">
                    Distrikt:
                </div>
                <div style="float:left; height:20px; width:161px; padding-top:1px;"> <!-- 184px -->
                    <asp:DropDownList ID="DropDownList_District_List" runat="server" CssClass="dropDownList" style="width:142px"></asp:DropDownList> <!-- 165px -->
                </div>
                <div style="float:left; width:42px; padding-top:3px; height:18px">
                    Firma:
                </div>
                <div style="float:left;height:20px; width: 161px; padding-top:1px;"> <!-- 194px -->
                    <asp:DropDownList ID="DropDownList_Firm_List" runat="server" CssClass="dropDownList" style="width:142px"></asp:DropDownList> <!-- 174px -->
                </div>
                <div style="float:left; width:39px; padding-top:3px; height:18px">
                    Zone:
                </div>
                <div style="float:left;height:20px; width: 106px; padding-top:1px;"> <!-- 113px -->
                    <asp:DropDownList ID="DropDownList_Zone_List" runat="server" CssClass="dropDownList" style="width:89px"></asp:DropDownList> <!-- 109px -->
                </div>
                <div style="float:left; width:20px; height: 20px; padding-top:0px;">
                    <input id="CheckBox_ShowAll" runat="server" type="checkbox" class="checkBox" />
                </div>
                <div class="label" style="float:left; width:42px; padding-top:3px; height: 18px;">
                    Vis alle
                </div>
                <br style="clear:both" />

            </div>
            
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                 <input id="Btn_uafsluttede_anmeldelser" type="button" value="Uafsluttede anmeldelser" title="Liste af ikke afsluttede anmeldelser" onclick="HentOversigtsLister('Uafsluttede anmeldelser', 'CONVERT(VARCHAR, ver_report.report_date, 102) DESC, CONVERT(VARCHAR, ver_report.report_time, 108) DESC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 185px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button_PlannedVisitsMine" type="button" value="Mine planlagte besøg" title="Liste af planlagte besøg hvor ansvarlig er lig den aktuelle bruger der er logget på løsningen" onclick="HentOversigtsLister('Mine planlagte besøg', 'CONVERT(VARCHAR, ver_inspec.inspec_date, 102), CONVERT(VARCHAR, ver_inspec.inspec_time, 108), ver_inspec.init ASC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 160px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <!-- Anmeldelser uden besøg -->
                <input id="Button2" type="button" value="Nye anmeldelser" title="Liste af ikke afsluttede anmeldelser hvortil der endnu ikke er knyttet besøg" onclick="HentOversigtsLister('Nye anmeldelser', 'CONVERT(VARCHAR, ver_report.report_date, 102) DESC, CONVERT(VARCHAR, ver_report.report_time, 108) DESC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 136px; text-align:left" />
             </div>
             <br style="clear:both" />
             
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                 <input id="Button6" type="button" value="Ufordelte anmeldelser" title="Liste af ikke afsluttede anmeldelser for hvilke det gælder, at ansvarlig ikke er sat" onclick="HentOversigtsLister('Ufordelte anmeldelser', 'CONVERT(VARCHAR, ver_report.report_date, 102) DESC, CONVERT(VARCHAR, ver_report.report_time, 108) DESC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 172px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button_PlannedVisitsNotDistributed" type="button" value="Ufordelte planlagte besøg" title="Liste af planlagte besøg for hvilke det gælder, at ansvarlig ikke er sat" onclick="HentOversigtsLister('Ufordelte planlagte besøg', 'CONVERT(VARCHAR, ver_inspec.inspec_date, 102), CONVERT(VARCHAR, ver_inspec.inspec_time, 108), ver_inspec.init ASC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 185px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button1" type="button" value="Afsluttede anmeldelser" title="Liste af afsluttede anmeldelser" onclick="HentOversigtsLister('Afsluttede anmeldelser', 'CONVERT(VARCHAR, ver_report.report_date, 102) DESC, CONVERT(VARCHAR, ver_report.report_time, 108) DESC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 172px; text-align:left" />
             </div>
             <br style="clear:both" />

             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button8" type="button" value="Mine anmeldelser" title="Liste af ikke afsluttede anmeldelser hvor ansvarlig er lig den aktuelle bruger der er logget på løsningen" onclick="HentOversigtsLister('Mine anmeldelser', 'CONVERT(VARCHAR, ver_report.report_date, 102) DESC, CONVERT(VARCHAR, ver_report.report_time, 108) DESC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 148px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button_PlannedVisits" type="button" value="Planlagte besøg" title="Liste af ikke udførte besøg for hvilke det gælder, at den overordnede anmeldelse ikke er afsluttet" onclick="HentOversigtsLister('Planlagte besøg', 'CONVERT(VARCHAR, ver_inspec.inspec_date, 102), CONVERT(VARCHAR, ver_inspec.inspec_time, 108), ver_inspec.init ASC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 129px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <!-- <input id="Button5" type="button" value="Forårs- og efterårsbesøg (kampagne)" title="Link til kampagne siden" onclick="window.location.href='Kampagne.aspx'" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 256px; text-align:left" /> -->
                <input id="Button4" type="button" value="Anmeldelser med planlagte besøg" title="Liste af ikke afsluttede anmeldelser hvortil der er knyttet et eller flere ikke udførte besøg" onclick="HentOversigtsLister('Anmeldelser med planlagte besøg', 'CONVERT(VARCHAR, ver_report.report_date, 102) DESC, CONVERT(VARCHAR, ver_report.report_time, 108) DESC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 233px; text-align:left" />
             </div>             
             <br style="clear:both" />

             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button3" type="button" value="Akutte anmeldelser" title="Liste af ikke afsluttede anmeldelser som er akutte" onclick="HentOversigtsLister('Akutte anmeldelser', 'CONVERT(VARCHAR, ver_report.report_date, 102), CONVERT(VARCHAR, ver_report.report_time, 108)')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 160px; text-align:left" />
             </div>             
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button_ExecutedVisits" type="button" value="Udførte besøg" title="Liste af udførte besøg" onclick="HentOversigtsLister('Udførte besøg', 'CONVERT(VARCHAR, ver_inspec.inspec_date, 102), CONVERT(VARCHAR, ver_inspec.inspec_time, 108), ver_inspec.init ASC')" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 172px; text-align:left" />
             </div>
             <div style="width:282px; height: 18px; float:left; padding-top:2px;">
                <input id="Button7" type="button" value="Kampagnebesøg" title="Link til kampagne siden (BEK nr 696 af 26-06-2012)" onclick="window.location.href='Kampagne2.aspx'" style="border-width: 0px; border-style: none; font-family: Verdana; font-size: 11px; background-color: transparent; height: 16px; width: 138px; text-align:left" />
             </div>             
             <br style="clear:both" />
             
        </div>

        <div id="div_liste_box" runat="server" style="display:none">
            
            <div id="panelHeadLeft_Anmeldelse" style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
            <div id="panelHeadText_Anmeldelse" runat="server" style="float:left; padding-left:2px; padding-right:2px;" class="labelHead"></div>
            <div id="panelHeadRight_Anmeldelse" runat="server" style="float:left; width:866px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div> <!-- width:616px; -->
            <br style="clear:both;" />
            
            <div id="panelBody_Anmeldelse" runat="server" style="width:873px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 5px; padding-bottom: 5px; padding-top: 2px; margin-bottom: 2px;"> <!-- width:623px; -->
                <div id="div_anmeldelser" runat="server" style="max-height:199px; overflow:auto; width:867px; padding-left:5px; padding-bottom:5px;"> <!-- width:617px; -->
                </div>
            </div>

            <div style="float:right; height:21px; padding-bottom:2px;">
                <div id="div_Button_PrintSelected" runat="server" style="float:left; display:block;">
                
                    <div id="div_Button_DisplayMap" runat="server" style="float:left; display:block;">
                        <input id="Button_DisplayMap" type="button" value="Vis på kort" onclick="DisplaySelectedOnMap('report')" class="button" />
                    </div>
                    <div style="float:left;">
                        <input id="Button_AssignTo" type="button" value="Tildel til..." onclick="AssignTo()" class="button" /><input id="Button_PrintSelectedInspec" type="button" value="Udskriv besøgsblanketter" onclick="PrintSelected('inspec')" class="button" /><input id="Button_PrintSelected" type="button" value="Udskriv markerede" onclick="PrintSelected('all')" class="button" />
                    </div>
                    <br style="clear:both;" />
                        
                </div>
                <div style="float:left;">
                    <input id="Button_PrintList" type="button" value="Udskriv liste" onclick="PrintList(document.getElementById('div_anmeldelser').innerHTML)" class="button" />
                </div>
                <br style="clear:both;" />
            </div>
            <br style="clear:both"/> 
            
        </div>


        <asp:HiddenField ID="HiddenField_site_seq_no" runat="server" />
        <asp:HiddenField ID="HiddenField_report_seq_no" runat="server" />
        <asp:HiddenField ID="HiddenField_insp_seq_no_init" runat="server" />

        <asp:HiddenField ID="HiddenField_road_code" runat="server" />
        <asp:HiddenField ID="HiddenField_house_no_1" runat="server" />
        <asp:HiddenField ID="HiddenField_house_no_2" runat="server" />

        <asp:Button ID="Button_Select" runat="server" Text="Vælg" CssClass="button" style="display:none;" OnClick="Button_Select_Click" />

    <!-- main end -->
    </div>


    <!-- Dialog - Kvik besøg -->

    <div id="div_quickInspection" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:360px; left:165px; width:572px;"> <!-- top:390px; left:40px; -->
        
        <div style="height: 17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753;"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div id="dialog_quickInspection_headline" style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:547px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_quickInspection')">&nbsp;Kvik besøg</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_quickInspection');" onmouseover="this.style.cursor='pointer'">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:551px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Dato:
            </div>
            <div style="float:left; width:150px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecDate" runat="server" CssClass="textBox" Width="70px" BackColor="#E0ECFF" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <div style="float:left; width:28px; padding-top:4px; height:17px" class="label">
                Init:
            </div>
            <div style="float:left; width:88px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecInit" runat="server" CssClass="textBox" Width="54px" BackColor="#E0ECFF" MaxLength="6"></asp:TextBox>
            </div>
            <div style="float:left; width:84px; padding-top:4px; height:17px;" class="label">
                Hjemme:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecNobodyHome" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1" Selected="True">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />
                    
            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Lokalitet:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSiteType" runat="server" CssClass="dropDownList" Width="236px"></asp:DropDownList>
            </div>
            <div style="float:left; width:84px; padding-top:4px; height:17px" class="label">
                Kloak defekt:
            </div>
            <div style="float:left; width:141px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSewerDefect" runat="server" width="140px" CssClass="dropDownList">
                    <asp:ListItem Value="U">?</asp:ListItem>
                    <asp:ListItem Value="I">Ikke undersøgt</asp:ListItem>
                    <asp:ListItem Value="N">Nej</asp:ListItem>
                    <asp:ListItem Value="P">Ja, Privat</asp:ListItem>
                    <asp:ListItem Value="O">Ja, Offentlig</asp:ListItem>
                    <asp:ListItem Value="B">Ja, Privat & Offentlig</asp:ListItem>                    
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Befængt:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectType" runat="server" width="236px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Årsag:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectCauseType" runat="server" CssClass="dropDownList" Width="236px"></asp:DropDownList>
            </div>
            <div style="float:left; width:174px; padding-top:4px; height:17px" class="label">
                Beboer informeret om gift:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecResidentInformed" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px;" class="label">
                Bemærk:
            </div>
            <div style="float:left; width:487px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecComments" runat="server" CssClass="textBox" Width="486px" Height="40px" TextMode="MultiLine" MaxLength="8000"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div style="float:left; width:126px; height: 17px; padding-top:24px;" class="label">
                Bekæmpelsesmiddel:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:21px;">
                <asp:DropDownList ID="DropDownList_CombatType" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <div style="float:left; width:82px; height: 17px; padding-top:24px;" class="label">
                Mængde:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:21px;">
                <asp:TextBox ID="TextBox_CombatAmount" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="10"></asp:TextBox>
            </div>
            <div style="float:left; width:20px; height: 17px; padding-top:24px;" class="label">
                kg.
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Fældetype:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_CombatTypeTrap" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <div style="float:left; width:82px; height: 17px; padding-top:4px;" class="label">
                Antal fælder:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatNoTrapsSet" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="4"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:326px; height: 17px; padding-top:4px;">
            </div>
            <div style="float:left; width:82px; height: 17px; padding-top:4px;" class="label">
                Antal depoter:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatNoOfDepot" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="4"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:24px;">
                Undersøgelse:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:21px;">
                <asp:DropDownList ID="DropDownList_ExamType" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Ingen røgprøve:
            </div>
            <div style="float:left; width:425px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_IngenRoegproeveAarsag" runat="server" CssClass="dropDownList" Width="424px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div style="float:left; padding-top:21px;">
                <input id="Checkbox_ReportClosed" type="checkbox" />
            </div>
            <div style="float:left; padding-top:24px; height:17px" class="label">
                Afslut anmeldelsen
            </div>
            <div style="float:right; height:21px; padding-top:20px;">
                <button id="Button_SaveQuickInspection" class="button" type="button" onclick="SaveQuickInspection()">Gem</button>
                <button id="Button_CancelQuickInspection" class="button" type="button" onclick="CloseWindow('div_quickInspection');">Annullér</button>
            </div>
            <br style="clear:both;" />
            
       </div>

    </div>


    <!-- Dialog - Tildel til... -->
    
    <div id="div_assignTo" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:360px; left:284px; width:333px;">

        <div style="height: 17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753;"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:308px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_assignTo')">&nbsp;Tildel til...</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_assignTo');" onmouseover="this.style.cursor='pointer'">X</div>
        </div>    

        <div class="backgroundColor" style="width:312px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div style="float:left; width:70px; padding-top:4px; height:17px" class="label">
                Ansvarlig:
            </div>
            <div style="float:left; width:242px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_AssignTo" runat="server" CssClass="dropDownList" Width="241px"></asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:right; height:21px; padding-top:20px;">
                <button id="Button_SaveAssignTo" class="button" type="button" onclick="SaveAssignTo()">Gem</button>
                <button id="Button_CancelAssignTo" class="button" type="button" onclick="CloseWindow('div_assignTo');">Annullér</button>
            </div>
            <br style="clear:both;" />

        </div>

    </div>


    <!-- Dialog - Dagens planlagte besøg -->
    
    <div id="div_plannedVisits" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:146px; left:343px; width:225px;">

        <div style="height: 17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753;"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:200px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_plannedVisits')">&nbsp;Dagens planlagte besøg</div> <!-- 308px -->
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_plannedVisits');" onmouseover="this.style.cursor='pointer'">X</div>
        </div>    

        <div class="backgroundColor" style="width:204px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div style="float:left; width:160px; height:17px; padding-top:4px; text-decoration:underline; cursor:default;" class="label" onclick="CloseWindow('div_plannedVisits'); document.getElementById('Button_PlannedVisitsMine').click();">
                Mine planlagte besøg:
            </div>
            <div id="div_plannedVisitsMine" runat="server" style="float:left; width:40px; height:20px; padding-top:4px; text-align:right;" class="textReadOnly">
                999
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:160px; height:17px; padding-top:4px; text-decoration:underline; cursor:default;" class="label" onclick="CloseWindow('div_plannedVisits'); document.getElementById('Button_PlannedVisitsNotDistributed').click();">
                Ufordelte planlagte besøg:
            </div>
            <div id="div_plannedVisitsNotDistributed" runat="server" style="float:left; width:40px; height:20px; padding-top:4px; text-align:right;" class="textReadOnly">
                999
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:160px; height:17px; padding-top:4px; text-decoration:underline; cursor:default;" class="label" onclick="CloseWindow('div_plannedVisits'); document.getElementById('Button_PlannedVisits').click();">
                Planlagte besøg (alle):
            </div>
            <div id="div_plannedVisitsAll" runat="server" style="float:left; width:40px; height:20px; padding-top:4px; text-align:right;" class="textReadOnly">
                999
            </div>
            <br style="clear:both;" />

            <div style="float:right; height:21px; padding-top:10px;">
                <button id="Button_ClosePlannedVisits" class="button" type="button" onclick="CloseWindow('div_plannedVisits');">Luk</button>
            </div>
            <br style="clear:both;" />

        </div>

        <asp:HiddenField ID="HiddenField_ShowPlannedVisitsSplashEnabled" runat="server" Value="false" />

    </div>


    <!-- hidden fields -->

    <div id="divDebug" style="display:none; left: 100px; position: absolute; top: 10px; width: 400px;">

        <asp:TextBox ID="HiddenFieldNotExecInspCount" runat="server" Width="30px">0</asp:TextBox>

    </div>

    </form>
  
</body>
</html>

