﻿<%@ page language="C#" autoeventwireup="true" inherits="Address, App_Web_pl1uuvzm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="SHORTCUT ICON" href="Images/GEIcon.ico" />
    <title>GeoEnviron WEB - Rottebekæmpelse</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script type="text/javascript" language="javascript" src="JScript/JScriptMain_v251.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptAddressButtonClick_v310.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptWindowMove_v243.js"></script>

    <script type="text/javascript" language="javascript">
    
    //CALLBACK
    var callbackSend = 0;
        
    function GetSite()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSite:";
            var context = new Object();
            context.CommandName = "GetSite";
            <%=_callbackstr %>
        }    
    }
    
    function SetSite(result)
    {
        var split = result.split('\t');
        
        document.getElementById('TextBox_SiteAddress').value        = split[0];
        document.getElementById('TextBox_SiteName').value           = split[1];
        document.getElementById('TextBox_SiteZip').value            = split[2];
        document.getElementById('TextBox_SiteTown').value           = split[3];
        document.getElementById('TextBox_SiteEstateNo').value       = split[4];
        document.getElementById('DropDownList_SiteDistrict').value  = split[5];
        document.getElementById('DropDownList_SiteFirm').value      = split[6];
        document.getElementById('TextBox_SiteBBRZone').value        = split[7];
        document.getElementById('TextBox_SiteBBRUse').value         = split[8];
        document.getElementById('TextBox_SiteBBRDrain').value       = split[9];
        document.getElementById('DropDownList_SiteUse').value       = split[10];
        document.getElementById('TextBox_SiteComments').value       = split[11];
        document.getElementById('TextBox_SiteSikring').value        = split[12];
        
        if(split.length > 13) //One or more reports exists
        {
            var resultReportList = split[13];
        
            for(var i = 14; i < split.length; i++)
            {
                resultReportList += '\t' + split[i];
            }
            
            SetReportList(resultReportList);
        }
    }

    function GetReport(report_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetReport:" + report_seq_no;
            var context = new Object();
            context.CommandName = "GetReport";
            <%=_callbackstr %>
        }    
    }

    function GetReportList(orderBy)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetReportList:" + orderBy;
            var context = new Object();
            context.CommandName = "GetReportList";
            <%=_callbackstr %>
        }    
    }
    
    function SetReportList(result)
    {
        var split = result.split('\t');
        
        document.getElementById('list_report').innerHTML            = split[0];
    
        if(split.length > 1) //Report data exists
        {
            var resultReport = split[1];
        
            for(var i = 2; i < split.length; i++)
            {
                resultReport += '\t' + split[i];
            }
            
            SetReport(resultReport);
        }
    }

    function GetInspec(insp_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetInspec:" + insp_seq_no;
            var context = new Object();
            context.CommandName = "GetInspec";
            <%=_callbackstr %>
        }    
    }

    function GetInspecList(orderBy)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetInspecList:" + orderBy;
            var context = new Object();
            context.CommandName = "GetInspecList";
            <%=_callbackstr %>
        }    
    }
    
    function SetInspecList(result)
    {
        var split = result.split('\t');
        
        document.getElementById('list_inspec').innerHTML            = split[0];
    
        if(split.length > 1) //Inspec data exists
        {
            var resultInspec = split[1];
        
            for(var i = 2; i < split.length; i++)
            {
                resultInspec += '\t' + split[i];
            }
            
            SetInspec(resultInspec);
        }
    }
    
    function GetCombatList(orderBy)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCombatList:" + orderBy;
            var context = new Object();
            context.CommandName = "GetCombatList";
            <%=_callbackstr %>
        }    
    }
    
    function SetCombatList(result)
    {
        document.getElementById('list_combat').innerHTML = result;
    }
    
    function SetExamList(result)
    {
        document.getElementById('list_exam').innerHTML = result;
    }

    function SetInspec(result)
    {
        document.getElementById('block_inspec').style.display = 'block';
    
        var split = result.split('\t');
    
        document.getElementById('TextBox_InspecDate').value                 = split[1];
        document.getElementById('TextBox_InspecTime').value                 = split[2];
        document.getElementById('DropDownList_InspecExecuted').value        = split[3];
        document.getElementById('DropDownList_InspecNobodyHome').value      = split[4];
        document.getElementById('DropDownList_InspecType').value            = split[5];
        document.getElementById('DropDownList_InspecSiteType').value        = split[6];
        document.getElementById('DropDownList_InspecInfectType').value      = split[7];
        document.getElementById('TextBox_InspecInit').value                 = split[8];
        document.getElementById('DropDownList_InspecGuide').value           = split[9];
        document.getElementById('DropDownList_InspecEnforceWanted').value   = split[10];
        document.getElementById('DropDownList_InspecSewerDefect').value     = split[11];
        document.getElementById('TextBox_InspecComments').value             = split[12];
        
        document.getElementById('DropDownList_InspecInfectCauseType').value = split[13];
        document.getElementById('DropDownList_InspecResidentInformed').value = split[14];
        
        document.getElementById('DropDownList_InspecIngenBekaempelseAarsag').value = split[15];
        document.getElementById('DropDownList_InspecIngenRoegproeveAarsag').value = split[16];

        document.getElementById('list_combat').innerHTML = split[17]; //15
        document.getElementById('list_exam').innerHTML = split[18]; //16
    }
    
    function SetReport(result)
    {
        document.getElementById('block_report').style.display = 'block';
    
        var split = result.split('\t');

        //Hvis Rottehullet integrationen er slået til og anmeldelsen er afsluttet så må anmeldelsen ikke redigeres.
        if((split[4] == '1') && (document.getElementById('HiddenFieldRHIntegrationEnabled').value == 'true'))
        {
            document.getElementById('HiddenFieldReportEditAllowed').value = 'false';
        }
        else
        {
            document.getElementById('HiddenFieldReportEditAllowed').value = 'true';
        }

        document.getElementById('TextBox_ReportReportSeqNo').value          = CreateDotRepresentation(split[0]);
    
        document.getElementById('TextBox_ReportDate').value                 = split[1];
        document.getElementById('TextBox_ReportTime').value                 = split[2];
        document.getElementById('DropDownList_ReportNameType').value        = split[3];
        document.getElementById('DropDownList_ReportClosed').value          = split[4];  
        document.getElementById('DropDownList_ReportType').value            = split[5];
        document.getElementById('DropDownList_ReportSiteType').value        = split[6];
        document.getElementById('TextBox_ReportComments').value             = split[7];
        document.getElementById('TextBox_ReportName').value                 = split[8];    
        document.getElementById('TextBox_ReportTelephone').value            = split[9];
        document.getElementById('TextBox_ReportMobilePhone').value          = split[10];
        
        document.getElementById('TextBox_ReportEmail').value                = split[11];
        document.getElementById('DropDownList_ReportContactInformer').value = split[12];  
        document.getElementById('TextBox_ReportInit').value                 = split[13];

        document.getElementById('DropDownList_ReportCaseworker').value      = split[14];  

        document.getElementById('TextBox_ReportVisitDate').value            = split[15];  
        document.getElementById('DropDownList_ReportVisitTime').value       = split[16];
        
        document.getElementById('TextBox_ReportClosedDate').value       = split[17];

        //Notes
        PositionNoteButton();

        if(split[18].length > 0)
        {
            document.getElementById('div_notes_button').style.backgroundColor = '#BDD750';
            document.getElementById('div_notes').innerHTML = split[18];
        }
        else
        {
            document.getElementById('div_notes_button').style.backgroundColor = '#E2DFD6';
            document.getElementById('div_notes').innerHTML = 'Ingen noter';
        }


        if(split.length > 19) //One or more inspec exists
        {
            var resultInspecList = split[19];
        
            for(var i = 20; i < split.length; i++)
            {
                resultInspecList += '\t' + split[i];
            }
            
            SetInspecList(resultInspecList);
        }
        else
        {
            document.getElementById('block_inspec').style.display = 'none';
        }
    }

    function GetCombat(combat_seq_no)
    {
        if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
        {
            //alert('ERROR:\nDu forsøger at redigere en bekæmpelse der tilhøre et besøg hvis anmeldelse er afsluttet.\nDette er ikke tilladt!');
            alert('Du forsøger at redigere en bekæmpelse der tilhøre et besøg hvis anmeldelse er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
            return;
        }
    
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCombat:" + combat_seq_no;
            var context = new Object();
            context.CommandName = "GetCombat";
            <%=_callbackstr %>
        }    
    }
    
    function SetCombat(result)
    {
        var split = result.split('\t');

        document.getElementById('DropDownList_CombatCombatTypeIdEdit').value    = split[1];
        document.getElementById('TextBox_CombatAmountEdit').value               = split[2];

        document.getElementById('DropDownList_CombatDepotEdit').value           = split[3];
        document.getElementById('TextBox_CombatNoOfDepotEdit').value            = split[4];

        document.getElementById('DropDownList_CombatTypeTrapEdit').value        = split[5];
        document.getElementById('TextBox_CombatNoTrapsSetEdit').value           = split[6];
        
        document.getElementById('TextBox_CombatCommentsEdit').value             = split[7];

        document.getElementById('dialog_combat_headline').innerHTML = "&nbsp;Redigér bekæmpelse";
        document.getElementById('dialog_combat').style.display = 'block';    
    }

    function GetExam(exam_type_id)
    {
        if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
        {
            //alert('ERROR:\nDu forsøger at redigere en undersøgelse der tilhøre et besøg hvis anmeldelse er afsluttet.\nDette er ikke tilladt!');
            alert('Du forsøger at redigere en undersøgelse der tilhøre et besøg hvis anmeldelse er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
            return;
        }
    
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetExam:" + exam_type_id;
            var context = new Object();
            context.CommandName = "GetExam";
            <%=_callbackstr %>
        }    
    }
    
    function SetExam(result)
    {
        document.getElementById('DropDownList_ExamExamTypeIdEdit').value = result;
    
        document.getElementById('dialog_exam_headline').innerHTML = "&nbsp;Redigér undersøgelse";
        document.getElementById('dialog_exam').style.display = 'block';    
    }
    
    function GetSaveSite(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveSite:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveSite";
            <%=_callbackstr %>
        }    
    }

    function SetSaveSite(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('dialog_site');
        SetSite(result);
    }

    function GetSaveReport(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveReport:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveReport";
            <%=_callbackstr %>
        }    
    }

    function SetSaveReport(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('dialog_report');
        SetReportList(result);
    }

    function GetSaveInspec(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveInspec:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveInspec";
            <%=_callbackstr %>
        }    
    }
    
    function SetSaveInspec(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }

        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('dialog_inspec');
        SetInspecList(result);
    }
    
    function GetSaveCombat(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveCombat:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveCombat";
            <%=_callbackstr %>
        }    
    }
    
    function SetSaveCombat(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('dialog_combat');
        SetCombatList(result);
    }

    function GetSaveExam(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetSaveExam:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveExam";
            <%=_callbackstr %>
        }    
    }

    function SetSaveExam(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }
    
        CloseWindow('dialog_exam');
        SetExamList(result);
    }

    function GetReopenReport()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetReopenReport:";
            var context = new Object();
            context.CommandName = "GetReopenReport";
            <%=_callbackstr %>
        }    
    }

    function SetReopenReport(result)
    {
        if(result.substr(0, 5) == "ERROR")
        {
            alert(result);
            return;
        }
        
        if(result.substr(0, 5) == "INFOR")
        {
            alert(result.substr(13));
            return;
        }

        SetReportList(result);
    }
    
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetSite": SetSite(result); break;
            case "GetReport": SetReportList(result); break;
            case "GetInspec": SetInspecList(result); break;
            case "GetCombat": SetCombat(result); break;
            case "GetExam": SetExam(result); break;

            case "GetSaveSite": SetSaveSite(result); break;
            case "GetSaveReport": SetSaveReport(result); break;
            case "GetSaveInspec": SetSaveInspec(result); break;
            case "GetSaveCombat": SetSaveCombat(result); break;
            case "GetSaveExam": SetSaveExam(result); break;
            
            case "GetReportList": SetReportList(result); break;
            case "GetInspecList": SetInspecList(result); break;
            case "GetCombatList": SetCombatList(result); break;
            
            case "GetPrint": SetPrint(result); break;
            case "GetReopenReport": SetReopenReport(result); break;
        }
    }

    function OnError(message, context)
    {
        callbackSend = 0;
        DisplayWait(0);
        alert(message);
    }
    
    

    
    
    
    
    //Private functions
    
    function windowopen()
    {
        var open = false;
    
        if(document.getElementById('dialog_site').style.display == 'block')
        {
            open = true;
        }

        if(document.getElementById('dialog_report').style.display == 'block')
        {
            open = true;
        }

        if(document.getElementById('dialog_inspec').style.display == 'block')
        {
            open = true;
        }

        if(document.getElementById('dialog_combat').style.display == 'block')
        {
            open = true;
        }

        if(document.getElementById('dialog_exam').style.display == 'block')
        {
            open = true;
        }

        if(open)
        {
            alert('Et vindue er åbent!\nLuk vinduet og klik igen.');
            return true;
        }
        
        return false;
    }
    
    function CloseAllWindows()
    {
        document.getElementById('dialog_site').style.display = 'none';
        document.getElementById('dialog_report').style.display = 'none';
        document.getElementById('dialog_inspec').style.display = 'none';
        document.getElementById('dialog_combat').style.display = 'none';
        document.getElementById('dialog_exam').style.display = 'none';

        //DisableDivElements(document.getElementById('div_main'), false);
    }


    //Notes

    function PositionNoteButton()
    {
        var obj = document.getElementById('dialogRightCorner');
        var objLeftTop = findPos(obj);
        var objWidth = parseInt(obj.style.width, 10);
        
        var buttonLeft = objLeftTop[0] + objWidth - 11;
        var buttonTop = objLeftTop[1];
        
        if(navigator.userAgent.indexOf('MSIE 7.0') > -1) { buttonLeft++; }
        
        var box = document.getElementById('div_notes_box');
        box.style.top = buttonTop + 'px';
        box.style.left = buttonLeft + 'px';
        box.style.display = 'block';
    }
    
    function NoteBox()
    {
        if(document.getElementById('div_notes').style.display == 'block')
        {
            document.getElementById('div_notes').style.display = 'none';
        }
        else
        {
            document.getElementById('div_notes').style.display = 'block';
        }
    }
    
    
    //Print
    
    var printWin;

    function PrintReport()
    {
        if((printWin != null) && (!printWin.closed))
        {
            if(!confirm('Udskrivningsvinduet er allerede åbent!\nLuk vinduet og fortsæt?'))
            {
                return;
            }

            printWin.close();        
        }
        
        GetPrint('all');
    }

    function GetPrint(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetPrint:" + value;
            var context = new Object();
            context.CommandName = "GetPrint";
            <%=_callbackstr %>
        }    
    }

    function SetPrint(result)
    {
        printWin = window.open('Print.aspx');
    }
    
    </script>

</head>
<body onload="GetSite()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()" onkeydown="OnKeyDown(event)">
    <form id="form1" runat="server">

    <div id="div_wait" style="display:none; position: absolute; z-index: 1; left:0px; top:0px;"><img src="Images/wait3.gif" alt="" /></div>

    <div style="width:652px; height:123px; font-family:Verdana; font-size:8pt; background-image:url(Images/rotte.jpg);">
        <a href="Rotte_start.aspx" style="float:right; margin-top: 84px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:underline;">Start</a>
        <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="clear:both; float:right; margin-top: 1px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
    </div>

    <div class="backgroundColor" style="width:631px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px; ">
    <!-- main form start -->

        <div id="div_init" runat="server" style="display:none;"></div>


        <!-- Adresse oplysninger -->
        
        <div style="float:left; width:8px; margin-top:6px; border-top:black 1px solid; border-left:black 1px solid; height:6px;"></div>
        <div class="labelHead" style="float:left; width:48px; padding-left:2px;">Adresse</div>
        <div style="float:left; width:570px; border-right:black 1px solid; border-top:black 1px solid; margin-top:6px; height:6px;"></div>        
        <br style="clear:both;" />
        
        <div style="width:618px; border-right:black 1px solid; border-left:black 1px solid; border-bottom:black 1px solid; padding-left:10px; padding-bottom:10px; padding-top:4px; margin-bottom:4px;">

            <div class="labelReadOnly" style="float:left; width:108px; height:17px; padding-top:4px;">
                Adgangsadresse:
            </div>
            <div style="float:left; width:215px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteAddress" runat="server" CssClass="textBoxReadOnly" Width="195px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px;">
                BBR zone:
            </div>
            <div style="float:left; width:210px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteBBRZone" runat="server" CssClass="textBoxReadOnly" Width="200px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <br style="clear:both"/>
            
            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Ejendomsadresse:
            </div>
            <div style="float:left; width:215px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteName" runat="server" CssClass="textBoxReadOnly" Width="195px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                - benyttelse:
            </div>
            <div style="float:left; width:210px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteBBRUse" runat="server" CssClass="textBoxReadOnly" Width="200px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <br style="clear:both"/>
                
            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Postnr/By:
            </div>
            <div style="float:left; width:35px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteZip" runat="server" CssClass="textBoxReadOnly" Width="30px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <div style="float:left; width:180px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteTown" runat="server" CssClass="textBoxReadOnly" Width="160px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                - afløb:
            </div>
            <div style="float:left; width:210px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteBBRDrain" runat="server" CssClass="textBoxReadOnly" Width="200px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <br style="clear:both"/>
                
            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Ejendomsnr:
            </div>
            <div style="float:left; width:215px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteEstateNo" runat="server" CssClass="textBoxReadOnly" Width="195px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                Benyttelse:
            </div>
            <div style="float:left; width:210px; height:20px; padding-top: 1px;">
                <asp:DropDownList ID="DropDownList_SiteUse" runat="server" CssClass="dropDownListReadOnly" style="width:202px" Enabled="False"></asp:DropDownList>
            </div>
            <br style="clear:both"/>

            <div style="float:left; width:323px;">

                <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                    Distrikt:
                </div>
                <div style="float:left; width:215px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_SiteDistrict" runat="server" CssClass="dropDownListReadOnly" style="width:195px" Enabled="False"></asp:DropDownList>
                </div>
                <br style="clear:both"/>
                    
                <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                    Firma:
                </div>
                <div style="float:left; width:215px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_SiteFirm" runat="server" CssClass="dropDownListReadOnly" style="width:195px" Enabled="False"></asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                    Aktiv sikring:
                </div>
                <div style="float:left; width:215px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_SiteSikring" runat="server" CssClass="textBoxReadOnly" Width="195px" BorderStyle="None" ReadOnly="true"></asp:TextBox>
                </div>
                <br style="clear:both" />

            </div>
            <div style="float:left; width:290px;">

                <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                    Bemærk:
                </div>
                <div style="float:left; width:210px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_SiteComments" runat="server" CssClass="textBoxReadOnly" Width="200px" Height="54px" TextMode="MultiLine" BorderStyle="None" ReadOnly="true"></asp:TextBox>
                </div>
                <br style="clear:both" />

            </div>
            <br style="clear:both" />
                
            <div style="float:right; height:21px; padding-right:10px; padding-top:4px;">
                <button id="Button_ReportNew" type="button" class="button" onclick="Button_ReportNew_OnClick()">Ny anmeldelse</button>
                <button id="Button_SiteEdit" type="button" class="button" onclick="Button_SiteEdit_OnClick()">Rediger adresseoplysninger</button>
            </div>
            <br style="clear:both"/> 

        </div>


        <!-- Block report -->
    
        <div id="block_report" style="display:none;">

            <!-- list report -->
            
            <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
            <div style="float:left; width:74px; padding-left: 2px;" class="labelHead">Anmeldelser</div>
            <div style="float:left; width:544px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div id="list_report" style="width:618px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px; max-height:196px; overflow:auto">
            </div>


            <!-- readonly report -->
                
            <div style="float:left; width:8px; margin-top:6px; border-top:black 1px solid; border-left:black 1px solid; height:6px;"></div>
            <div class="labelHead" style="float:left; width:68px; padding-left:2px;">Anmeldelse</div>
            <div id="dialogRightCorner" style="float:left; width:550px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div style="width:618px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 8px; padding-top: 4px; margin-bottom: 4px; height: 194px;"> <!-- height: 169px; -->

                <div class="labelReadOnly" style="float:left; width:80px; height:17px; padding-top:4px;">
                    Dato:
                </div>
                <div style="float:left; width:80px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_ReportDate" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                </div>
                <div class="labelReadOnly" style="float:left; width:27px; padding-top:4px; height:17px">
                    Tid:
                </div>
                <div style="float:left; width:48px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_ReportTime" runat="server" CssClass="textBoxReadOnly" Width="38px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                </div>
                <div class="labelReadOnly" style="float:left; width:27px; padding-top:4px; height:17px">
                    Init:
                </div>
                <div style="float:left; width:61px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_ReportInit" runat="server" CssClass="textBoxReadOnly" Width="50px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                </div>
                <div class="labelReadOnly" style="float:left; width:88px; padding-top:4px; height:17px">
                    Anmeldertype:
                </div>
                <div class="labelReadOnly" style="float:left; width:82px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportNameType" runat="server" CssClass="dropDownListReadOnly" Width="63px" Enabled="false">
                        <asp:ListItem Value="" Selected="True"></asp:ListItem>
                        <asp:ListItem Value="e">Ejer</asp:ListItem>
                        <asp:ListItem Value="l">Lejer</asp:ListItem>
                        <asp:ListItem Value="n">Nabo</asp:ListItem>
                        <asp:ListItem Value="a">Andet</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:55px; padding-top:4px; height:17px;">
                    Afsluttet:
                </div>
                <div style="float:left; width:51px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportClosed" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                    Ansvarlig:
                </div>
                <div style="float:left; width:243px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportCaseworker" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:169px; height:17px; padding-top:4px;">
                </div>
                <div style="float:left; width:80px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_ReportClosedDate" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                </div>
                <br style="clear:both" />
                
                <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                    Type:
                </div>
                <div style="float:left; width:243px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportType" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:73px; padding-top:4px; height:17px">
                    Anmelder:
                </div>
                <div style="float:left; width:208px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_ReportName" runat="server" CssClass="textBoxReadOnly" Width="198px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                </div>
                <br style="clear:both" />
                
                <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                    Lokalitet:
                </div>
                <div style="float:left; width:243px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportSiteType" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:73px; padding-top:4px; height:17px">
                    Tlf. / Mobil:
                </div>
                <div style="float:left; width:208px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_ReportTelephone" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                    <asp:TextBox ID="TextBox_ReportMobilePhone" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                </div>
                <br style="clear:both" />
                    
                <div class="labelReadOnly" style="float:left; width:80px; height:17px; padding-top:4px;">
                    Observeret:
                </div>
                <div style="float:left; width:243px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ReportComments" runat="server" CssClass="textBoxReadOnly" Width="219px" Height="77px" TextMode="MultiLine" ReadOnly="True"></asp:TextBox>
                </div>
                <div style="float:left; width:281px;">

                    <div class="labelReadOnly" style="float:left; width:73px; padding-top:4px; height:17px">
                        E-mail:
                    </div>
                    <div style="float:left; width:208px; height:19px; padding-top:2px;">
                        <asp:TextBox ID="TextBox_ReportEmail" runat="server" CssClass="textBoxReadOnly" Width="198px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                    </div>
                    <br style="clear:both;" />

                    <div class="labelReadOnly" style="float:left; width:225px; padding-top:4px; height:17px">
                        Vil gerne ringes op inden besøg:
                    </div>
                    <div style="float:left; width:52px; height:20px; padding-top:1px;">
                        <asp:DropDownList ID="DropDownList_ReportContactInformer" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                            <asp:ListItem Value="1">Ja</asp:ListItem>
                            <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                        </asp:DropDownList>
                    </div>
                    <br style="clear:both;" />

                    <div class="labelReadOnly" style="float:left; width:118px; padding-top:4px; height:17px">
                        Ønsket besøgsdato:
                    </div>
                    <div style="float:left; width:156px; height:19px; padding-top:2px;">
                        <asp:TextBox ID="TextBox_ReportVisitDate" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
                    </div>
                    <br style="clear:both;" />

                    <div class="labelReadOnly" style="float:left; width:73px; padding-top:4px; height:17px">
                        Tidspunkt:
                    </div>
                    <div style="float:left; width:203px; height:20px; padding-top:1px;">
                        <asp:DropDownList ID="DropDownList_ReportVisitTime" runat="server" CssClass="dropDownListReadOnly" Width="202px" Enabled="False">
                        </asp:DropDownList>
                    </div>
                    <br style="clear:both;" />

                </div>
                <br style="clear:both;" />

                <div style="float:left;">
                    <div class="labelReadOnly" style="float:left; width:80px; padding-top:9px; height:17px">
                        Anmeld.nr.:
                    </div>
                    <div style="float:left; width:156px; height:19px; padding-top:7px;">
                        <asp:TextBox ID="TextBox_ReportReportSeqNo" runat="server" CssClass="textBoxReadOnly" Width="80px" ReadOnly="True" BorderStyle="None">100.100.100</asp:TextBox>
                    </div>
                    <br style="clear:both;" />
                </div>
                
                <div style="float:right; height:21px; padding-top:5px; padding-right:19px;">
                    <button id="Button_InspecNew" type="button" class="button" onclick="Button_InspecNew_OnClick()">Nyt besøg</button>
                    <button id="Button_ReportEdit" type="button" class="button" onclick="Button_ReportEdit_OnClick()">Rediger anmeldelse</button>
                    <button id="Button_Print" type="button" class="button" onclick="PrintReport()">Udskriv anmeldelse</button>
                </div>
                <br style="clear:both;" />
                    
            </div>

            <!-- Noter -->

            <div id="div_notes_box" style="width:200px; height:212px; position:absolute; top:397px; left:641px; display:none;"> <!-- height:187px; -->
                
                <div id="div_notes" class="backgroundColor" style="padding-left:2px; border-style: solid none solid solid; border-color: black black black gray; float:left; width:185px; height:212px; display:none; overflow: auto; border-top-width: 1px; border-bottom-width: 1px; border-left-width: 1px;"> <!-- height:187px; -->
                    Ingen noter
                </div>
                <div id="div_notes_button" style="border-width: 1px; border-style: solid; border-color: black; float:left; width:10px; height: 212px; background-color: #E2DFD6; cursor: default; text-align:center; " onclick="NoteBox()"> <!-- height:187px; -->
                    N O T E R
                </div>
                <br style="clear:both;" />
                
            </div>

        </div>


        <!-- Block inspec -->
    
        <div id="block_inspec" style="display:none;">

            <!-- list inspec -->

            <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
            <div style="float:left; width:38px; padding-left: 2px;" class="labelHead">Besøg</div>
            <div style="float:left; width:580px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div id="list_inspec" style="width:618px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;max-height:196px;overflow:auto">
            </div>


            <!-- readonly inspec -->
            
            <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
            <div class="labelHead" style="float:left; width:93px; padding-left:2px;">Besøgsdetaljer</div>
            <div style="float:left; width:525px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div style="width:618px; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid;">

                <div class="labelReadOnly" style="float:left;width:120px;padding-top:4px;height:17px">
                    Dato:
                </div>
                <div style="float:left; width:80px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_InspecDate" runat="server" CssClass="textBoxReadOnly" Width="70px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
                </div>
                <div class="labelReadOnly" style="float:left; width:27px; padding-top:4px; height:17px">
                    Tid:
                </div>
                <div style="float:left; width:48px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_InspecTime" runat="server" CssClass="textBoxReadOnly" Width="38px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
                </div>
                <div class="labelReadOnly" style="float:left; width:27px; padding-top:4px; height:17px">
                    Init:
                </div>
                <div style="float:left; width:86px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_InspecInit" runat="server" CssClass="textBoxReadOnly" Width="50px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
                </div>
                <div class="labelReadOnly" style="float:left; width:44px; padding-top:4px; height:17px">
                    Udført:
                </div>
                <div style="float:left; width:70px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecExecuted" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:56px; padding-top:4px; height:17px;">
                    Hjemme:
                </div>
                <div style="float:left; width:52px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecNobodyHome" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both" />
                    
                <div class="labelReadOnly" style="float:left; width:120px; padding-top:4px; height:17px">
                    Type:
                </div>
                <div style="float:left; width:268px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecType" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:170px; padding-top:4px; height:17px">
                    Skriftlig vejledning givet:
                </div>
                <div style="float:left; width:52px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecGuide" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both" />
                    
                <div class="labelReadOnly" style="float:left; width:120px; padding-top:4px; height:17px">
                    Lokalitet:
                </div>
                <div style="float:left; width:268px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecSiteType" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:170px; padding-top:4px; height:17px">
                    Varsling om påbud ønskes:
                </div>
                <div style="float:left; width:52px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecEnforceWanted" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both" />
                    
                <div class="labelReadOnly" style="float:left; width:120px; padding-top:4px; height:17px">
                    Befængt:
                </div>
                <div style="float:left; width:268px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecInfectType" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:90px; padding-top:4px; height:17px">
                    Kloak defekt:
                </div>
                <div style="float:left; width:132px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecSewerDefect" runat="server" CssClass="dropDownListReadOnly" Width="130px" Enabled="False">
                        <asp:ListItem Selected="True" Value="U">?</asp:ListItem>
                        <asp:ListItem Value="I">Ikke undersøgt</asp:ListItem>
                        <asp:ListItem Value="N">Nej</asp:ListItem>
                        <asp:ListItem Value="P">Ja, Privat</asp:ListItem>
                        <asp:ListItem Value="O">Ja, Offentlig</asp:ListItem>
                        <asp:ListItem Value="B">Ja, Privat & Offentlig</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div class="labelReadOnly" style="float:left; width:120px; padding-top:4px; height:17px">
                    Årsag:
                </div>
                <div style="float:left; width:268px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecInfectCauseType" runat="server" CssClass="dropDownListReadOnly" Width="223px" Enabled="False"></asp:DropDownList>
                </div>
                <div class="labelReadOnly" style="float:left; width:170px; padding-top:4px; height:17px">
                    Beboer informeret om gift:
                </div>
                <div style="float:left; width:52px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecResidentInformed" runat="server" CssClass="dropDownListReadOnly" Width="50px" Enabled="False">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div class="labelReadOnly" style="float:left; width:120px; padding-top:4px; height:17px">
                    Ingen bekæmpelse:
                </div>
                <div style="float:left; width:496px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecIngenBekaempelseAarsag" runat="server" CssClass="dropDownListReadOnly" Width="488px" Enabled="False"></asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div class="labelReadOnly" style="float:left; width:120px; padding-top:4px; height:17px">
                    Ingen røgprøve:
                </div>
                <div style="float:left; width:496px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_InspecIngenRoegproeveAarsag" runat="server" CssClass="dropDownListReadOnly" Width="488px" Enabled="False"></asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div class="labelReadOnly" style="float:left; width:120px; height:17px; padding-top:4px;">
                    Bemærkning:
                </div>
                <div style="float:left; width:493px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_InspecComments" runat="server" CssClass="textBoxReadOnly" Width="484px" Height="40px" TextMode="MultiLine" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both" />

                <div style="float:left; padding-top:3px; margin-right:10px;">
                    
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div style="float:left; width:76px; padding-left: 2px;">Bekæmpelse</div>
                    <div style="float:left; width:283px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:359px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                        <div id="list_combat">
                        </div>
                    </div>
                    
                </div>
                <div style="float:left; padding-top:3px;">
                
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div style="float:left; width:80px; padding-left: 2px;">Undersøgelse</div>
                    <div style="float:left; width:135px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />

                    <div style="width:215px; border-right: black 1px solid; float:left; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                        <div id="list_exam">
                        </div>
                    </div>
                
                </div>
                <br style="clear:both" />
                
                <div style="float:right; height:21px; padding-right:10px; padding-top:4px;">
                    <button id="Button_CombatNew" class="button" type="button" onclick="Button_CombatNew_OnClick()">Ny bekæmpelse</button>
                    <button id="Button_InspecEdit" class="button" type="button" onclick="Button_InspecEdit_OnClick()">Rediger besøgsdetaljer</button>
                    <button id="Button_ExamNew" class="button" type="button" onclick="Button_ExamNew_OnClick()">Ny undersøgelse</button>
                </div>
                <br style="clear:both"/> 
            
            </div>

        </div>

    <!-- mainform end -->
    </div>    


    <!-- dialog site -->

    <div id="dialog_site" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:390px; left:10px; width:630px;">

        <div style="height:17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="float:left; font-weight:bold; background-color:#bcd753; color:White; height:17px; width:604px;" onmousedown="HelpBox_OnMouseDown(event,'dialog_site')">&nbsp;Adresseoplysninger</div>
            <div style="float:left; font-weight:bold; height:17px; color:White; background-color:#bcd753; cursor:pointer;" onclick="CloseWindow('dialog_site')">X</div>
        </div> 
                
        <div class="backgroundColor" style="width:618px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; border-top: gray 1px solid; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">              

            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Adgangsadresse:
            </div>
            <div style="float:left;width:225px;height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteAddressEdit" runat="server" CssClass="textBoxReadOnly" Width="205px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                BBR zone:
            </div>
            <div style="float:left; width:200px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteBBRZoneEdit" runat="server" CssClass="textBoxReadOnly" Width="190px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <br style="clear:both;" />

            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Ejendomsadresse:
            </div>
            <div style="float:left; width:225px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteNameEdit" runat="server" CssClass="textBoxReadOnly" Width="205px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                - benyttelse:
            </div>
            <div style="float:left; width:200px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteBBRUseEdit" runat="server" CssClass="textBoxReadOnly" Width="190px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <br style="clear:both;" />
                
            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Postnr/By:
            </div>
            <div style="float:left; width:35px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteZipEdit" runat="server" CssClass="textBoxReadOnly" Width="30px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <div style="float:left; width:190px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteTownEdit" runat="server" CssClass="textBoxReadOnly" Width="170px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                - afløb:
            </div>
            <div style="float:left; width:200px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteBBRDrainEdit" runat="server" CssClass="textBoxReadOnly" Width="190px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <br style="clear:both;" />
                
            <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                Ejendomsnr:
            </div>
            <div style="float:left; width:225px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteEstateNoEdit" runat="server" CssClass="textBoxReadOnly" Width="205px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:80px; padding-top:4px; height:17px">
                Benyttelse:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_SiteUseEdit" runat="server" CssClass="dropDownList" style="width:192px"></asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:333px;">
                
                <div class="label" style="float:left; width:108px; padding-top:4px; height:17px">
                    Distrikt:
                </div>
                <div style="float:left; width:225px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_SiteDistrictEdit" runat="server" CssClass="dropDownList" style="width:205px"></asp:DropDownList>
                </div>
                <br style="clear:both;" />
                    
                <div class="label" style="float:left; width:108px; padding-top:4px; height:17px">
                    Firma:
                </div>
                <div style="float:left; width:225px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_SiteFirmEdit" runat="server" CssClass="dropDownList" style="width:205px"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div class="labelReadOnly" style="float:left; width:108px; padding-top:4px; height:17px">
                    Aktiv sikring:
                </div>
                <div style="float:left; width:225px; height:19px; padding-top:2px;">
                    <asp:TextBox ID="TextBox_SiteSikringEdit" runat="server" CssClass="textBoxReadOnly" Width="205px" BorderStyle="None" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

            </div>
            <div style="float:left; width:280px;">

                <div class="labelReadOnly" style="float:left; width:80px; padding-top:4px; height:17px">
                    Bemærk:
                </div>
                <div style="float:left; width:200px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_SiteCommentsEdit" runat="server" CssClass="textBoxReadOnly" Width="190px" Height="54px" TextMode="MultiLine" BorderStyle="None" ReadOnly="True"></asp:TextBox>
                </div>
                <br style="clear:both;" />

            </div>
            <br style="clear:both" />

            <div style="float:right; height:21px; padding-right:10px; padding-top:4px;">
                <button id="Button_SiteEditSave" type="button" onclick="Button_SiteEditSave_OnClick()" class="button">Gem</button>
                <button id="Button_SiteEditCancel" type="button" onclick="CloseWindow('dialog_site')" class="button">Annuller</button>
            </div>
            <br style="clear:both" />
            
        </div>
        
    </div>   


    <!-- dialog report  -->
   
    <div id="dialog_report" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:390px; left:10px; width:642px;">

        <div style="height: 17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div id="dialog_report_headline" style="float:left; font-weight:bold; background-color:#bcd753; color:White; height:17px; width:617px;" onmousedown="HelpBox_OnMouseDown(event,'dialog_report')">&nbsp;Anmeldelse</div>
            <div style="float:left; font-weight:bold; height:17px; color:White; background-color:#bcd753; cursor:pointer;" onclick="CloseWindow('dialog_report')">X</div>
        </div>      

        <div class="backgroundColor" style="width:621px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 8px; height: 213px;"> <!-- height: 171px; -->
 
            <div class="label" style="float:left; width:80px; padding-top:4px; height:17px">
                Dato:
            </div>
            <div style="float:left; width:80px; padding-top:1px; height:20px">
                <asp:TextBox ID="TextBox_ReportDateEdit" runat="server" CssClass="textBox" Width="70px" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:27px; padding-top:4px; height:17px">
                Tid:
            </div>
            <div style="float:left; width:48px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportTimeEdit" runat="server" CssClass="textBox" Width="38px" MaxLength="5"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:27px; padding-top:4px; height:17px">
                Init:
            </div>
            <div style="float:left; width:83px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportInitEdit" runat="server" CssClass="textBox" Width="55px" MaxLength="6"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:88px; padding-top:4px; height:17px">
                Anmeldertype:
            </div>
            <div style="float:left; width:82px; padding-top:1px; height:20px">
                <asp:DropDownList ID="DropDownList_ReportNameTypeEdit" runat="server" CssClass="dropDownList" Width="63px">
                    <asp:ListItem Value="" Selected="True"></asp:ListItem>
                    <asp:ListItem Value="e">Ejer</asp:ListItem>
                    <asp:ListItem Value="l">Lejer</asp:ListItem>
                    <asp:ListItem Value="n">Nabo</asp:ListItem>
                    <asp:ListItem Value="a">Andet</asp:ListItem>
                </asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:55px; padding-top:4px; height:17px;">
                Afsluttet:
            </div>
            <div style="float:left; width:51px; padding-top:1px; height:20px">
                <asp:DropDownList ID="DropDownList_ReportClosedEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div class="label" style="float:left; width:80px; padding-top:4px; height:17px">
                Ansvarlig:
            </div>
            <div style="float:left; width:265px; padding-top:1px; height:20px;">
                <asp:DropDownList ID="DropDownList_ReportCaseworkerEdit" runat="server" CssClass="dropDownList" Width="241px"></asp:DropDownList>
            </div>
            <div class="labelReadOnly" style="float:left; width:169px; height:17px; padding-top:4px;">
            </div>
            <div style="float:left; width:80px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_ReportClosedDateEdit" runat="server" CssClass="textBoxReadOnly" Width="70px" ReadOnly="True" BorderStyle="None"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:80px; padding-top:4px; height:17px">
                Type:
            </div>
            <div style="float:left; width:265px; padding-top:1px; height:20px">
                <asp:DropDownList ID="DropDownList_ReportTypeEdit" runat="server" CssClass="dropDownList" Width="241px"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:73px; padding-top:4px; height:17px">
                Anmelder:
            </div>
            <div style="float:left; width:203px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportNameEdit" runat="server" CssClass="textBox" Width="198px" MaxLength="60"></asp:TextBox>
            </div>
            <br style="clear:both;" />
                 
            <div class="label" style="float:left; width:80px; padding-top:4px; height:17px;">
                Lokalitet:
            </div>
            <div style="float:left; width:265px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_ReportSiteTypeEdit" runat="server" CssClass="dropDownList" Width="241px"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:73px; padding-top:4px; height:17px">
                Tlf. / Mobil:
            </div>
            <div style="float:left; width:203px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportTelephoneEdit" runat="server" CssClass="textBox" Width="70px" MaxLength="12"></asp:TextBox>
                <asp:TextBox ID="TextBox_ReportMobilePhoneEdit" runat="server" CssClass="textBox" Width="70px" MaxLength="12"></asp:TextBox>
            </div>
            <br style="clear:both;" />

            <div class="label" style="float:left; width:80px; padding-top:4px; height:17px;">
                Observeret:
            </div>
            <div style="float:left; width:265px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportCommentsEdit" runat="server" CssClass="textBox" Width="237px" Height="77px" TextMode="MultiLine"></asp:TextBox>
            </div>
            <div style="float:left; width:276px;">

                <div class="label" style="float:left; width:73px; padding-top:4px; height:17px">
                    E-mail:
                </div>
                <div style="float:left; width:203px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ReportEmailEdit" runat="server" CssClass="textBox" Width="198px" MaxLength="60" ></asp:TextBox>
                </div>
                <br style="clear:both;" />
                
                <div class="label" style="float:left; width:225px; padding-top:4px; height:17px">
                    Vil gerne ringes op inden besøg:
                </div>
                <div style="float:left; width:51px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportContactInformerEdit" runat="server" CssClass="dropDownList" Width="50px">
                        <asp:ListItem Value="1">Ja</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                    </asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:118px; padding-top:4px; height:17px">
                    Ønsket besøgsdato:
                </div>
                <div style="float:left; width:156px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_ReportVisitDateEdit" runat="server" CssClass="textBox" Width="70px" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:73px; padding-top:4px; height:17px">
                    Tidspunkt:
                </div>
                <div style="float:left; width:203px; height:20px; padding-top:1px;">
                    <asp:DropDownList ID="DropDownList_ReportVisitTimeEdit" runat="server" CssClass="dropDownList" Width="202px">
                    </asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div style="float:right; height:21px; padding-top:22px;">
                    <button id="Button_ReportEditSave" type="button" onclick="Button_ReportEditSave_OnClick()" class="button">Gem</button>
                    <button id="Button_ReportEditCancel" type="button" onclick="CloseWindow('dialog_report')" class="button">Annuller</button>
                </div>
                <br style="clear:both;" />

             </div>
            <br style="clear:both;" />

        </div>

    </div>


    <!-- dialog inspec -->

    <div id="dialog_inspec" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:390px; left:10px; width:637px; float:left; ">
        
        <div style="height: 17px;">
            <div style="float:left; height:17px ;width: 15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div id="dialog_inspec_headline" style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:612px; float:left" onmousedown="HelpBox_OnMouseDown(event,'dialog_inspec')">&nbsp;Besøg</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left; cursor:pointer;" onclick="CloseWindow('dialog_inspec')">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:616px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Dato:
            </div>
            <div style="float:left; width:80px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecDateEdit" runat="server" CssClass="textBox" Width="70px" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:27px; padding-top:4px; height:17px">
                Tid:
            </div>
            <div style="float:left; width:48px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecTimeEdit" runat="server" CssClass="textBox" Width="38px" MaxLength="5"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:27px; padding-top:4px; height:17px">
                Init:
            </div>
            <div style="float:left; width:85px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecInitEdit" runat="server" CssClass="textBox" Width="55px" MaxLength="6"></asp:TextBox>
            </div>
            <div class="label" style="float:left; width:52px; padding-top:4px; height:17px">
                Udført:
            </div>
            <div style="float:left; width:65px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecExecutedEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value=""></asp:ListItem>
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:61px; padding-top:4px; height:17px;">
                Hjemme:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecNobodyHomeEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />
                    
            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Type:
            </div>
            <div style="float:left; width:267px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecTypeEdit" runat="server" CssClass="dropDownList" Width="241px"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:178px; padding-top:4px; height:17px">
                Skriftlig vejledning givet:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecGuideEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />
                    
            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Lokalitet:
            </div>
            <div style="float:left; width:267px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSiteTypeEdit" runat="server" CssClass="dropDownList" Width="241px"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:178px; padding-top:4px; height:17px">
                Varsling om påbud ønskes:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecEnforceWantedEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Befængt:
            </div>
            <div style="float:left; width:267px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectTypeEdit" runat="server" width="241px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:98px; padding-top:4px; height:17px">
                Kloak defekt:
            </div>
            <div style="float:left; width:131px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSewerDefectEdit" runat="server" width="130px" CssClass="dropDownList">
                    <asp:ListItem Value="U">?</asp:ListItem>
                    <asp:ListItem Value="I">Ikke undersøgt</asp:ListItem>
                    <asp:ListItem Value="N">Nej</asp:ListItem>
                    <asp:ListItem Value="P">Ja, Privat</asp:ListItem>
                    <asp:ListItem Value="O">Ja, Offentlig</asp:ListItem>
                    <asp:ListItem Value="B">Ja, Privat & Offentlig</asp:ListItem>                    
                </asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Årsag:
            </div>
            <div style="float:left; width:267px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectCauseTypeEdit" runat="server" width="241px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:178px; padding-top:4px; height:17px">
                Beboer informeret om gift:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecResidentInformedEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Ingen bekæmpelse:
            </div>
            <div style="float:left; width:496px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecIngenBekaempelseAarsagEdit" runat="server" width="495px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:120px; padding-top:4px; height:17px">
                Ingen røgprøve:
            </div>
            <div style="float:left; width:496px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecIngenRoegproeveAarsagEdit" runat="server" width="495px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <br style="clear:both" />
            
            <div class="label" style="float:left; width:120px; padding-top:4px;">
                Bemærkning:
            </div>
            <div style="float:left; width:496px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecCommentsEdit" runat="server" CssClass="textBox" Width="491px" Height="40px" TextMode="MultiLine" MaxLength="8000"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div style="float:left; width:20px; height: 20px; padding-top:21px;">
                <input id="CheckBox_CreateFollowUpVisit" type="checkbox" class="checkBox" onclick="CheckBox_CreateFollowUpVisit_OnClick()" />
            </div>
            <div class="label" style="float:left; width:160px; padding-top:24px; height: 17px;">
                Opret opfølgningsbesøg
            </div>

            <div id="followup_inspec" style="float:left; display:none;">

                <div class="label" style="float:left; width:37px; padding-top:24px; height:17px">
                    Dato:
                </div>
                <div style="float:left; width:80px; height:20px; padding-top:21px;">
                    <asp:TextBox ID="TextBox_InspecFollowUpDate" runat="server" CssClass="textBox" Width="70px" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
                </div>
                <div class="label" style="float:left; width:27px; padding-top:24px; height:17px">
                    Tid:
                </div>
                <div style="float:left; width:48px; height:20px; padding-top:21px;">
                    <asp:TextBox ID="TextBox_InspecFollowUpTime" runat="server" CssClass="textBox" Width="38px" MaxLength="5"></asp:TextBox>
                </div>
                <br style="clear:both;" />

            </div>
                    
            <div style="float:right; height:21px; padding-top:20px;">
                <button id="Button_InspecEditSave" class="button" type="button" onclick="Button_InspecEditSave_OnClick()">Gem</button>
                <button id="Button_InspecEditCancel" class="button" type="button" onclick="CloseWindow('dialog_inspec')">Annuller</button>
            </div>
            <br style="clear:both;" />
            
        </div>

    </div>


    <!-- dialog combat -->

    <div id="dialog_combat" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; position:absolute; top:410px; left:134px; z-index: 1; width: 462px; ">

        <div style="height: 17px;">
            <div style="float:left; height:17px ;width: 15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div id="dialog_combat_headline" style="float:left; font-weight:bold; background-color:#bcd753; color:White; height:17px; width:438px;" onmousedown="HelpBox_OnMouseDown(event,'dialog_combat')">&nbsp;Bekæmpelse</div>
            <div style="float:left; font-weight:bold; height:17px; color:White; background-color:#bcd753; cursor:pointer;" onclick="CloseWindow('dialog_combat')">X</div>
        </div>

        <div class="backgroundColor" style="border: 1px solid gray; width:450px; padding-top: 8px; padding-bottom: 8px; padding-left: 10px;">
                    
            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Bekæmpelsesmiddel:
            </div>
            <div style="float:left; width:176px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_CombatCombatTypeIdEdit" runat="server" CssClass="dropDownList" Width="150px"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:90px; height: 17px; padding-top:4px;">
                Mængde (kg.):
            </div>
            <div style="float:left; width:46px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatAmountEdit" runat="server" CssClass="textBox" Width="44px" MaxLength="10"></asp:TextBox> <!-- type="number" step="0.01" -->
            </div>
            <br style="clear:both" />
                       
            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Giftdepot:
            </div>
            <div style="float:left; width:176px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_CombatDepotEdit" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Selected="True" Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:90px; height: 17px; padding-top:4px;">
                Antal depoter:
            </div>
            <div style="float:left; width:46px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatNoOfDepotEdit" runat="server" CssClass="textBox" Width="44px" MaxLength="10"></asp:TextBox>
            </div>
            <br style="clear:both" />
                        
            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Fældetype:
            </div>
            <div style="float:left; width:176px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_CombatTypeTrapEdit" runat="server" CssClass="dropDownList" Width="150px"></asp:DropDownList>
            </div>
            <div class="label" style="float:left; width:90px; height: 17px; padding-top:4px;">
                Antal fælder:
            </div>
            <div style="float:left; width:46px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatNoTrapsSetEdit" runat="server" CssClass="textBox" Width="44px" MaxLength="10"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Bemærkning:
            </div>
            <div style="float:left; width:312px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatCommentsEdit" runat="server" CssClass="textBox" Width="310px" Height="68px" TextMode="MultiLine"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div style="float:right; height:21px; padding-top:4px; padding-right:10px;">
                <button id="Button_CombatEditSave" type="button" onclick="Button_CombatEditSave_OnClick()" class="button">Gem</button>
                <button id="Button_CombatEditCancel" type="button" onclick="CloseWindow('dialog_combat')" class="button">Annuller</button>
            </div>
            <br style="clear:both;" />
                        
        </div>

    </div>


    <!-- dialog exam -->

    <div id="dialog_exam" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:400px; left:202px; width:273px;">

        <div style="height:17px;">
            <div style="float:left; height:17px ;width: 15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div id="dialog_exam_headline" style="float:left; font-weight:bold; background-color:#bcd753; color:White; height:17px; width:250px;" onmousedown="HelpBox_OnMouseDown(event,'dialog_exam')">&nbsp;Undersøgelse</div>
            <div style="float:left; font-weight:bold; color:White; background-color:#bcd753; height:17px; cursor:pointer;" onclick="CloseWindow('dialog_exam')">X</div>
        </div>
        
        <div class="backgroundColor" style="border: 1px solid gray; width:261px; padding-top: 8px; padding-bottom: 8px; padding-left: 10px;">
            
            <div class="label" style="float:left; width:86px; height: 17px; padding-top:4px;">
                Undersøgelse:
            </div>
            <div style="float:left; width:167px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_ExamExamTypeIdEdit" runat="server" CssClass="dropDownList" Width="165px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div style="float:right; height:21px; padding-top:4px; padding-right:9px;">
                <button id="Button_ExamEditSave" type="button" onclick="Button_ExamEditSave_OnClick()" class="button">Gem</button>
                <button id="Button_ExamEditCancel" type="button" onclick="CloseWindow('dialog_exam')" class="button">Annuller</button>
            </div>
            <br style="clear:both;" />

        </div>

    </div>      

    <!-- hidden fields -->

    <div id="divDebug" style="display:none; left: 100px; position: absolute; top: 10px; width: 400px;">

        <asp:TextBox ID="HiddenFieldRHIntegrationEnabled" runat="server" Width="30px">false</asp:TextBox>
        <asp:TextBox ID="HiddenFieldReportEditAllowed" runat="server" Width="30px">true</asp:TextBox>

    </div>

    </form>
</body>
</html>
