﻿
var callbackSend = 0;

function YearOK()
{
    var year = document.getElementById('TextBox_Year').value;

    if((isNaN(year)) || (year < 1001))
    {
        alert('Ikke korrekt årstal!\nÅrstal skal være et heltal større end 1000');
        return false;
    }

    return true;
}

function GetList(orderBy)
{
    if (!YearOK())
    {
        return;
    }

    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetList:" + GetListParm(orderBy);
        var context = new Object();
        context.CommandName = "GetList";
        WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false);
    }
}

function GetMap(value)
{
    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetMap:" + value;
        var context = new Object();
        context.CommandName = "GetMap";
        WebForm_DoCallback('__Page', Command, CallBackHandler, context, OnError, false);
    }    
}

function GetExistingCampaign(site_seq_no)
{
    if (windowopen())
        return;

    var year = document.getElementById('TextBox_Year').value;
    var period = document.getElementById('DropDownList_Period').value;

    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetExistingCampaign:" + site_seq_no + '\t' + year + '\t' + period;
        var context = new Object();
        context.CommandName = "GetExistingCampaign";
        WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false);
    }    
}

function GetNewCampaign(site_seq_no)
{
    if (windowopen())
        return;

    var year = document.getElementById('TextBox_Year').value;
    var period = document.getElementById('DropDownList_Period').value;

    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetNewCampaign:" + site_seq_no + '\t' + year + '\t' + period;
        var context = new Object();
        context.CommandName = "GetNewCampaign";
        WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false);
    }    
}

function GetCreateCampaign(value)
{
    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetCreateCampaign:" + value;
        var context = new Object();
        context.CommandName = "GetCreateCampaign";
        WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false);
    }    
}

function GetUpdateCampaign(value)
{
    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetUpdateCampaign:" + value;
        var context = new Object();
        context.CommandName = "GetUpdateCampaign";
        WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false);
    }    
}

function SetList(result)
{
    document.getElementById('div_camp_seq_no').value = "";
    document.getElementById("div_site_seq_no").value = "";
    CloseWindow('div_kampagne_box');

    document.getElementById("div_adresser").innerHTML = result;
    document.getElementById('div_liste_box').style.display = 'block';
}

function SetMap(result)
{
    if (result.substr(0, 5) == 'ERROR')
    {
        alert(result.substr(6));
        return;
    }

    var procent = result.split('\t')[1];
    var x = parseInt((procent * screen.width) / 100);
    var y = parseInt((procent * screen.height) / 100);

    //map_canvas: width:600px height:500px
    //mapWin = window.open('Map.aspx', 'Map', 'width=600, height=500, resizable=0, menubar=0, status=0, scrollbars=0');
    mapWin = window.open('Map.aspx', 'Map', 'width=' + x + ', height=' + y + ', resizable=0, menubar=0, status=0, scrollbars=0');
    mapWin.focus();
}

function SetExistingCampaign(result)
{
    var split = result.split('\t');

    document.getElementById('div_camp_seq_no').value            = split[0];
    document.getElementById('div_site_seq_no').value            = split[1];
    document.getElementById('TextBox_Adgangsadresse').value     = split[2];
    document.getElementById('TextBox_Ejendomsadresse').value    = split[3];
    document.getElementById('TextBox_Date').value               = split[4];
    document.getElementById('TextBox_Init').value               = split[5];
    document.getElementById('DropDownList_VisitOutcome').value  = split[6];
    document.getElementById('TextBox_PostalCodesId').value      = split[7];
    document.getElementById('TextBox_PostalCodesName').value    = split[8];
    document.getElementById('TextBox_Comments').value           = split[9];
    
    DisableDivElements(document.getElementById('div_main'), true);
    document.getElementById('div_kampagne_box').style.display = 'block';
}

function SetNewCampaign(result)
{
    var split = result.split('\t');

    var d = new Date();
    var newdate = getMyDate() + "-" + getMyMonth() + "-" + d.getFullYear();
    
    document.getElementById('div_site_seq_no').value            = split[0];
    document.getElementById('TextBox_Adgangsadresse').value     = split[1];
    document.getElementById('TextBox_Ejendomsadresse').value    = split[2];
    document.getElementById('TextBox_PostalCodesId').value      = split[3];
    document.getElementById('TextBox_PostalCodesName').value    = split[4];
    
    /* Undlad at sætte nedenstående således, at de tidligere værdier "huskes"
    
    document.getElementById('TextBox_Date').value               = newdate;
    document.getElementById('TextBox_Init').value               = split[5];
    document.getElementById('TextBox_Comments').value           = '';
    
    */
    
    DisableDivElements(document.getElementById('div_main'), true);
    document.getElementById('div_kampagne_box').style.display = 'block';
}

function SetCreateCampaign(result)
{
    var split = result.split('\t');

    SetList(split[0]);

    if (split[1] == '0') // Do not prompt user
        return;

    // Prompt user
    if (!confirm('Opret ny anmeldelse med tilhørende besøg?'))
        return;

    // Init Quick Inspection
    document.getElementById('TextBox_InspecDate').value = split[2];
    document.getElementById('TextBox_InspecInit').value = split[3];

    document.getElementById('TextBox_CombatAmount').value = '';
    document.getElementById('Checkbox_ReportClosed').checked = false;

    DisableDivElements(document.getElementById('div_main'), true);
    document.getElementById('div_quickInspection').style.display = 'block';
}

function GetSaveQuickInspection(parms)
{
    if(callbackSend == 0)
    {
        callbackSend = 1;
        DisplayWait(1);
    
        var Command = "GetSaveQuickInspection:" + parms;
        var context = new Object();
        context.CommandName = "GetSaveQuickInspection";
        WebForm_DoCallback('__Page', Command, CallBackHandler, context, OnError, false);
    }    
}

function SetSaveQuickInspection(result)
{
    if(result.substr(0, 5) == "ERROR")
    {
        alert(result);
        return;
    }

    if (result.substr(0, 5) == "INFOR")
    {
        alert(result.substr(13));
        return;
    }

    CloseWindow('div_quickInspection');
}

function CallBackHandler(result, context) 
{
    callbackSend = 0;
    DisplayWait(0);

    switch(context.CommandName)
    {
        case "GetList": SetList(result); break;
        case "GetMap": SetMap(result); break;
        case "GetExistingCampaign": SetExistingCampaign(result); break;
        case "GetNewCampaign": SetNewCampaign(result); break;
        case "GetCreateCampaign": SetCreateCampaign(result); break;
        case "GetUpdateCampaign": SetList(result); break;
        case "GetSaveQuickInspection": SetSaveQuickInspection(result); break;
    }
}

function OnError(message, context)
{
    callbackSend = 0;
    DisplayWait(0);
    alert(message);
}